Bug 131582 - remove Cert Admin feature from Sat 3.5 docs
Summary: remove Cert Admin feature from Sat 3.5 docs
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Installer (Show other bugs)
(Show other bugs)
Version: 360
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Clay Murphy
QA Contact: Max Spevack
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 114967 138220
TreeView+ depends on / blocked
 
Reported: 2004-09-02 15:34 UTC by Max Spevack
Modified: 2007-08-06 15:57 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-22 18:48:51 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Max Spevack 2004-09-02 15:34:04 UTC
Description of problem:

In the docs for RHN Satellite 3.5 beta, section 5.2 and 5.3 of
RHN-satellite.pdf discuss giving the CertAdmin role to a user,
creating new entitlement certificates, and uploading them.

This functionality isn't there, if you follow the steps in the doc. 
Check with robin, but I believe that this is not supposed to be
customer-visible, and therefore shouldn't be documented.


Version-Release number of selected component (if applicable):
RHN Satellite 3.5 Beta

How reproducible:
Always

Steps to Reproduce:
1.  See description
2.
3.
  
Actual results:
If you try to follow the instructions, you find that the features
referenced aren't there.


Expected results:
It shouldn't be documented.


Additional info:

Comment 1 Clay Murphy 2004-09-02 22:28:43 UTC
Excellent catch, Max. I'm claiming, bumping the version and aligning
to the 3.6 documentation tracking bug.

Comment 2 Clay Murphy 2004-09-03 17:26:52 UTC
Reassigning to Robin to confirm, as Max suggested.

Comment 3 Clay Murphy 2004-09-03 17:28:04 UTC
Setting to NEEDINFO. Robin, can you confirm that the Certificate
Administrator role introduced in 350 is internal to RHN only and not
available to customers? Thanks

Comment 4 Robin Norwood 2004-09-27 14:29:45 UTC
That is correct - this feature is internal-only (for now).

See:
http://cvs.devel.redhat.com/cgi-bin/cvsweb.cgi/rhn/docs/protospec/cert-creation-tool.txt?rev=HEAD;content-type=text%2Fplain;cvsroot=RHN

And BZ #107039

Comment 5 Clay Murphy 2004-09-28 17:51:34 UTC
OK, I'm reclaiming this bug and will remove the offending text.
Specifically, the sections of the Entitlements chapter of the Sat.
install guide need removal/rewriting. I will also ensure the Satellite
3.6 release notes contain no mention of this internal feature.

Comment 6 Clay Murphy 2004-10-14 17:18:14 UTC
OK, these changes have been made and will be visible in the 3.6
versions of the Satellite Release Notes and Installation Guide.

First, references to the interface have been removed from both the
Major Enhancements and Documentation sections of the release notes.
Second, its references have been removed from the Entitlements chapter
(5) in both the introductory text and by deleting the entire
Generating the Certificate section (formely 5.2).
Finally, I removed the Finding the Entitlement Certificate Interface
section (formerly 8.6.1.3) from the Maintenance chapter.

Setting to ON_DEV.

Comment 7 Todd Warner 2004-10-21 16:52:09 UTC
QA push. {ON_DEV,QA_READY} --> ON_QA

Comment 8 Clay Murphy 2004-11-05 22:10:21 UTC
Shifting this from the 3.6 hosted doc tracking bug (rhn360docs) to the
3.6 sat tracking bug (rhn360satdocs) to reflect the timeline in which
this change will appear.

Comment 9 Todd Warner 2004-12-01 11:55:53 UTC
Docs review done.
Rel notes review done.
Golden --> PROD_READY!

Comment 10 Clay Murphy 2004-12-02 23:39:47 UTC
docs complete

Comment 11 Todd Warner 2005-03-22 18:48:51 UTC
Mass move from PROD_READY to CLOSED:CURRENTRELEASE


Note You need to log in before you can comment on or make changes to this bug.